<template>
  <div>
    <label class="h3" for="search">Search</label>
    <b-input-group class="mb-2 mr-sm-2 mb-sm-0">
      <template v-slot:append>
        <b-input-group-text>
          <b-icon-search></b-icon-search>
        </b-input-group-text>
      </template>
      <b-form-input
        id="search"
        v-model="text"
        placeholder="Type here"
        @blur="searched"
        @keypress.enter="searched">
      </b-form-input>
    </b-input-group>
  </div>
</template>


<script>
export default {
  props: {
    value: {
      type: String,
      default: '',
    },
  },
  data() {
    return {
      text: '',
    };
  },
  beforeMount() {
    this.setValue(this.value);
  },
  methods: {
    setValue(value) {
      this.text = value || '';
    },
    searched() {
      this.$emit('searched', this.text);
    },
  },
};
</script>
